//BUSQUEDA DE TABCATTIPUSU
var formaTABCATTIPUSU = null;
var panelTABCATTIPUSU = null;
var intMode = 100;
var idTienda = null, idProveedor=null;
var GridStoreTABCATTIPUSU = null;
var idTab = '';

function TABCATTIPUSU_Constructor(){
	//console.log("TABCATTIPUSU_Constructor");
	idTab = 'TABCATTIPUSU';
	
	var txtBoton = "";
		
	panelTABCATTIPUSU = new Ext.Panel({
						width:'100%',
						height: '80%',
						autoScroll:false,
						disabled: false
	});
	
	formaTABCATTIPUSU = new Ext.FormPanel({
		labelAlign: 'top',
        labelWidth: 75,
        frame:true,
		bodyStyle:'padding:5px 5px 0',
        width: '100%',
		autoHeight: true,
        items: [
				panelTABCATTIPUSU
			   ]
    });
	
	$("#divCatTipoUsuarios").empty();
	formaTABCATTIPUSU.render("divCatTipoUsuarios");

	panelTABCATTIPUSU.load({
		url: "vistas/tabCatTipoUsuarios.php",
		params: {intMode:0, campo:'', order:''}, // or a URL encoded string
		callback: function(data){   
									
			$("#btnInsertar"+idTab).click(function() {
				AddEditTABCATTIPUSU(1);
			});
			
			getDataTABCATTIPUSU();
			
			/*$( "#dialog-tipo-usuario" ).dialog({
			  dialogClass: 'smallTitleStuff',
			  autoOpen: false,
			  height: 400,
			  width: 550,
			  modal: true,
			  close: function() {
				limpiarTextboxesTABCATTIPUSU();
			  }
			});*/
		},
		discardUrl: false,
		nocache: false,
		text: 'Loading...',
		timeout: 30,
		scripts: false
	});
}

function getDataTABCATTIPUSU(){

	if(objUsuario.empresa!=null){
		
		$( "#divTipoUsuariosGrid" ).html("<div style='width:200px; margin-top:25px; margin-left:auto; margin-right:auto;'><img src='css/images/loading.gif'/></div>");
		//var heightDiv = parseInt($( "#divTipoUsuariosGrid" ).css("height").toString().replace("px",""));

		var strUrlTipEve = "data/catTipoUsuarios.php?intEmpresa="+ objUsuario.empresa +"&rnd="+ Math.random();
		console.log(strUrlTipEve);
		
		$.get(strUrlTipEve, function(dataNew){
			if(	dataNew.toLowerCase().indexOf("error") < 0 ){		
				if(	dataNew.length > 20 ){							 
					var data = $.parseJSON(dataNew);
					var arrItems = data.Items;
					
					GridStoreTABCATTIPUSU = new Ext.data.JsonStore({
					  root: 'Items',
					  fields: [ 'intTipoUsuario', 'strTitulo'],
					  data: { Items: arrItems}
					});   
				
					$( "#divTipoUsuariosGrid" ).html("");
		
					var grid = new Ext.grid.GridPanel({
					renderTo: document.getElementById("divTipoUsuariosGrid"),
					frame: true,
					title: 'Departamentos',
					width:'100%',
					autoHeight: true,
					maxHeight: 500,
					store: GridStoreTABCATTIPUSU,
					  columns: [
						  {header: "Id", width: 60, dataIndex: 'intTipoUsuario', sortable: true},
						  {header: "Descripcion", width: 300, dataIndex: 'strTitulo', sortable: true, 
							renderer: function (value, metaDat, record) {
								var newValue = "<a href='javascript: AddEditTABCATTIPUSU(2,"+ record.data["intTipoUsuario"] +");' target='_blank' style='color:#C60;'>"+ value +"</a>";
								return newValue;
							} 
						  }
					  ]
					});
				}else{
					$( "#divTipoUsuariosGrid" ).html("<p align='center' style='margin-top:100px;'>No hay registros para esta consulta</p>");
					
				}
			}else{
				$( "#divTipoUsuariosGrid" ).html("<p align='center' style='margin-top:100px;'>Existe un error: "+ dataNew +"</p>");
			}
		});
		
	}else{
		alert("Todos los campos son requeridos");
	}
}

function limpiarTextboxesTABCATTIPUSU(){

	$( "#dialog-tipo-usuario" ).find( "#txtIntTipoUsuario" ).val('');
	$( "#dialog-tipo-usuario" ).find( "#txtTituloUsuario" ).val('');
}

function AddEditTABCATTIPUSU(intCase, id){
	$( "#divLoading" ).css({ "visibility":"visible", "display":"inherit" });
	var strUrl1 = "vistas/dialog-tipo-usuario.php?rnd="+ Math.random();
	console.log("strUrl1 = " + strUrl1);
	
	$.get(strUrl1, function(data){
		
		$("#divCatTipoUsuarios").html(data);					
		
		setTimeout(function(){ cargarDataDialogTABCATTIPUSU(intCase, id); }, 1000);
			
	});
}

function cargarDataDialogTABCATTIPUSU(intCase, id){
	console.log("AddEditTABCATTIPUSU > Modo = " + intCase);
		
	$( "#btnGuardar"+ idTab).unbind(  );
	$( "#btnCancelar"+ idTab).unbind(  );
	$( "#btnEliminar"+ idTab).unbind(  );
	
	if(intCase===1){
		limpiarTextboxesTABCATTIPUSU();
		
		$( "#btnGuardar" + idTab).click(function() {
			abcTABCATTIPUSU(1);
		});
		
		$( "#btnCancelar" + idTab).click(function() {
			TABCATTIPUSU_Constructor();
		});
		
		$( "#btnEliminar" + idTab).css({ visibility:"hidden" });
		
		//$( "#dialog-tipo-usuario" ).dialog("open");
		
	}else{
		
		var record = null;

		GridStoreTABCATTIPUSU.each(function(rd){  // REGRESA EL NOMBRE DE USUARIO
			//console.log(id, rd.data["intUsuario"]);
			if( parseInt(id) == parseInt(rd.data["intTipoUsuario"]) ){
				record = rd;
			}
		});
		
		if(record != null){
			//console.log(record);
			$( "#dialog-tipo-usuario" ).find( "#txtIntTipoUsuario" ).val(record.data["intTipoUsuario"]);
			$( "#dialog-tipo-usuario" ).find( "#txtTituloUsuario" ).val(record.data["strTitulo"]);

			$( "#btnGuardar" + idTab).click(function() {
				abcTABCATTIPUSU(2);
			});
						
			$( "#btnCancelar" + idTab).click(function() {
				TABCATTIPUSU_Constructor();
			});
			
			$( "#btnEliminar" + idTab).css({ visibility:"visible" });
			$( "#btnEliminar" + idTab).click(function() {
				abcTABCATTIPUSU(3);
			});
			
			//$( "#dialog-tipo-usuario" ).dialog("open");
	
		}
	}
	$( "#divLoading" ).css({ "visibility":"hidden", "display":"none" });
}

function abcTABCATTIPUSU(intCase){
	
	if($( "#dialog-tipo-usuario" ).find( "#txtTituloUsuario" ).val() != ""){
		var sQuery = "data/catTipoUsuarios.php?intMode="+ intCase 
		+"&intTipoUsuario="+ $( "#dialog-tipo-usuario" ).find( "#txtIntTipoUsuario" ).val() 
		+"&txtTituloUsuario="+ $( "#dialog-tipo-usuario" ).find( "#txtTituloUsuario" ).val() 
		+"&intEmpresa="+ objUsuario.empresa +"&rnd="+ Math.random();
				
		$.post(sQuery, function(dataNew){
			//console.log(dataNew);
						
			TABCATTIPUSU_Constructor();

		});
		
	}else{
		alert("Todos los campos son requeridos.");
	}
}

////[[[[